Package com.sun.mail.imap.protocol

# Class INTERNALDATE

java.lang.Object
com.sun.mail.imap.protocol.INTERNALDATE

All Implemented Interfaces:
  `Item`

public class INTERNALDATE extends Object implements Item
An INTERNALDATE FETCH item.

Author:
  John Mani

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Date`
`date`
`int`
`msgno`

## Constructor Summary

Constructors
Constructor
Description
`INTERNALDATE(FetchResponse r)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static String`
`format(Date d)`
Format given Date object into INTERNALDATE string
`Date`
`getDate()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgno

public int msgno

### date

protected Date date

## Constructor Details

### INTERNALDATE

public INTERNALDATE(FetchResponse r) throws ParsingException
Constructor.

Parameters:
  `r` - the FetchResponse
Throws:
  `ParsingException` - for parsing failures

## Method Details

### getDate

public Date getDate()

### format

public static String format(Date d)
Format given Date object into INTERNALDATE string

Parameters:
  `d` - the Date
Returns:
  INTERNALDATE string